@charset "UTF-8";
/* CSS Document */

:root {
	/* --accent: #344645;
	--black: #040403;
	--white: #F4F4ED; */

    --accent: #664672;
    --black: #221726;
    --white: #FBF6EF;
    --light-accent: #BFA6C9;
    --light: #EAD2AC;

    --gutter: 20px;
    --margin: 40px;

    --border-radius: 5px;
}

*{
	margin: 0;
    padding: 0;
    box-sizing: border-box;
	cursor: default;
	font-family: "Lato", sans-serif;
}

body {
	display: flex;
	flex-direction: column;
	background-color: var(--white);
    letter-spacing: 0.5px;
    color: var(--black);
}

a {
	text-decoration: none;
	cursor: pointer;
	color: var(--black);
}

a:hover {
    color: var(--accent);
}

.serif {
    font-family: "Spectral", serif;
    font-weight: 300;
    letter-spacing: -0.5px;
}

header {
    height: 120px;
    padding: 0 var(--margin);
    display: flex;
    z-index: 10;
    align-items: center;
    position: fixed;
    width: 100vw;
    background-color: var(--white);
}

#name {
    font-size: 32px;
    position: absolute;
    letter-spacing: -0.5px;
}

.pages {
    display: flex;
    justify-content: flex-end;
    gap: 20px;
    font-size: 16px;
    letter-spacing: 0.5px;
    position: absolute;
    right: var(--margin);
}

#about-btn, .btn {
    border: 0.5px solid var(--black);
    border-radius: 5px;
    padding: 14px 22px;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 500;
    display: flex;
    align-items: center;
}

button, .button {
    border: 0.5px solid var(--black);
    background-color: var(--accent);
    color: var(--white);
    border: none;
    border-radius: 5px;
    padding: 14px 22px;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 0.5px;
    display: flex;
    align-items: center;
    cursor: pointer;
}

button:hover, .button:hover {
    /* opacity: 0.80; */
    color: var(--white);
    background-color: var(--black);
    /* border-color: var(--white); */
    /* color: var(--black);
    font-weight: 700; */
}

.btn:hover, #about-btn:hover {
    background-color: var(--accent);
    color: var(--white);
    border-color: var(--accent);
}

ion-icon {
    font-size: 16px;
    padding-left: 10px;
    cursor: pointer;
}

#homepage main {
    position: unset;
    display: flex;
    flex-direction: column;
    padding: var(--margin);
    gap: var(--gutter);
    min-height: 100vh;
    justify-content: space-between;
}

#homepage main h6 {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    text-align: right;
}

#homepage span {
    display: flex;
    gap: var(--gutter);
}

#homepage span a {
    border: 0.5px solid var(--accent);
    border-radius: var(--border-radius);
    width: 100%;
    /* height: 50vh; */
    display: flex;
    padding: var(--gutter);
    padding-top: 40px;
    align-items: flex-end;
    cursor: pointer;
}
#homepage main a:hover {
    background-color: var(--accent);
}
#homepage main a:hover h1 {
    color: var(--white);
    cursor: pointer;
}

#homepage main p {
    font-size: 160px;
    line-height: 1;
    margin-bottom: 0;
}

main {
    display: flex;
    position: absolute;
    top: 120px;
    width: 100vw;
    padding: 0 var(--margin);
    gap: var(--gutter);
}

#preview {
    /* padding: 0px var(--gutter) 0 var(--margin); */
    width: calc(34vw - 40px);
}

#show-img {
    object-fit: cover;
    width: calc(34vw - 40px);
    border-radius: 5px;
    max-height: calc(100vh - 120px - 20px);
    position: fixed;
}

#grid {
    /* margin: 0 var(--margin) var(--gutter) var(--gutter); */
    display: flex;
    flex-wrap: wrap;
    flex: 1;
    border-radius: 5px;
    gap: var(--gutter);
    flex-grow: 2;
    margin-top: 0px;
    width: 100%;
    padding-bottom: 20px;
}

.block {
    border: 0.5px solid var(--black);
    padding: var(--gutter);
    width: calc((100%/3) - 14px);
    border-radius: 5px;
    /* min-width: 18vw; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.block:hover {
    color: var(--white);
    background-color: var(--black);
    cursor: pointer;
}
.block h6, .block h1, .block p {
    cursor: pointer;
}

.block h6 {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    text-align: right;
    padding-bottom: 40px;
}

.block img {
    object-fit: scale-down;
    width: 100%;
    padding: 20px 0;
    border-radius: 5px;
    display: none;
}

.block p {
    line-height: 1.1;
}

.content {
    position: absolute;
    top: 120px;
    width: 100%;
    display: flex;
    flex-direction: column;
    row-gap: var(--gutter);
    padding: 0 var(--margin) var(--margin);
}

.top-content {
    display: flex;
    /* width: 100%; */
    max-height: calc(100vh - 120px - 20px);
    gap: var(--gutter);
}

.left1 {
    /* padding: 0px 20px 0 20px; */
    width: calc(34vw - 20px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    gap: var(--gutter);
}

.left1 img {
    object-fit: cover;
    border-radius: 5px;
    max-width: calc(34vw - 40px);
    height: 100%;
    max-height: calc(100vh - 120px - 20px);
}

.right2 {
    border: 0.5px var(--black) solid;
    border-radius: 5px;
    /* margin-right: 20px; */
    padding: var(--gutter);
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: var(--gutter);
    justify-content: space-between;
}

.right-text {
    text-align: right;
    align-self: flex-end;
    border-radius: 5px;
}

.left-text {
    border-radius: 5px;
    gap: 20px;
    display: flex;
    flex-direction: column;
}

.gallery {
    position: relative;
    /* padding: 20px; */
    display: flex;
    justify-content: space-between;
    gap: var(--gutter);
    max-height: calc(100vh - 120px);
    width: 100%;
}
.gallery img {
    object-fit: scale-down;
    max-width: calc((100% - 40px)/3);
    max-height: calc(100vh - 120px);
}
.gallery4 img {
    max-width: calc((100% - 60px)/4);
}
.full-width {
    width: 100%;
    /* padding: 20px; */
}
.whale {
    padding: 40px 100px;
}

.about {
    /* padding: 20px; */
    display: flex;
    gap: var(--gutter);
    width: 100%;
    justify-content: space-between;
}
.about .right2 {
    margin-right: 0;
}
.about-page span {
    /* padding: 0 20px; */
    display: flex;
    gap: 20px;
    justify-content: space-between;
}
.about-page span p {
    padding: 20px;
    border: 0.5px solid var(--black);
    border-radius: 5px;
    width: 50%;
}
.big {
    width: 75%;
}
.about-btns {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: flex-end;
    padding-bottom: 40px;
}
.about-btns h6 {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    text-align: right;
    cursor: pointer;
    text-decoration: underline;
}
.about-btns .button {
    width:fit-content;
}
.me {
    display: none;
}

#writing-page main {
    flex-direction: column;
    padding-bottom: var(--margin);
}

.writing-info {
    border: 0.5px solid var(--black);
    border-radius: var(--border-radius);
    padding: var(--gutter);
    display: flex;
    flex-direction: column;
    gap: var(--gutter);
}

.writing-info span h6 {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    padding-bottom: 40px;
}

.writing-contents {
    padding: var(--margin);
}

@media only screen and (max-width: 1200px) {
    .block {
        min-width: 48%;
    }
}

@media only screen and (max-width: 600px) {

    header {
        height: auto;
        flex-direction: column;
        position: unset;
        align-items: unset;
        padding: 20px;
        gap: 20px;
    }
    #name {
        position: unset;
    }
    header .pages, header button {
        display: none;
    }
    .me {
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 100%;
        padding: 20px;
        height: auto;
    }
    .me .pages {
        width: 100%;
        justify-content: flex-start;
        flex-direction: column;
        position: unset;
    }
    .me p {
        margin-bottom: 0;
        line-height: 1.2;
    }
    .me button, .button {
        width: 100%;
        justify-content: center;
        position: unset;
    }
    main {
        position: unset;
    }
    #preview {
        display: none;
    }
    .block {
        min-width: 100%;
    }
    .block h6 {
        padding-bottom: 0;
    }
    .block img {
        display: block;
    }

    .content {
        position: unset;
        row-gap: 0px;
    }
    .top-content {
        flex-direction: column;
        height: auto;
        max-height: none;
    }
    .left1 {
        width: 100vw;
    }
    .left1 img {
        object-fit: cover;
        border-radius: 5px;
        max-width: calc(100vw - 40px);
        height: 100%;
    }
    .right2 {
        flex-direction: column;
        margin: 20px;
        width: auto;
    }
    .right-text {
        order: 2;
    }
    .left-text {
        order: 1;
    }
    .gallery {
        flex-direction: column;
        position: unset;
        max-height: none;
    }
    .gallery img {
        max-width: 100%;
        max-height: 100vh;
    }
    .gallery4 {
        flex-direction: row;
        flex-wrap: wrap;
    }
    .gallery4 img {
        max-width: calc((100% - 20px)/2);
    }
    .whale {
        padding: 0px;
    }

}